// Lawson Labs, Inc.
// 3239 Phoenixville Pike
// Malvern, PA  19355
// 800 321-5355 or 610 725-8800
// August 5, 1998
// Tim Van Dusen - programmer
// 32-bit Windows-9x console application

#ifndef _M141_95_H
#define _M141_95_H

#ifndef IN
  #define IN
#endif

HINSTANCE hLib;
unsigned short valRead=0;

typedef struct{
ULONG				adc141;				//ADC for Model 141
double	      hertzRate;			//scan rate (hz)
unsigned int	average;          //number of samples to average per point
unsigned int   ichDelay;         //interchannel delay
unsigned int   numData;          //number of datapoints per scan
unsigned long	totScans;         //number of scans to perform
unsigned int   digInp;           //flag for digital input 1 = on  0 = off
unsigned int   biPolar;				//1 = bipolar, 0 = unipolar
BYTE 	         controlCode;		//control code for next conversion in GetConv
unsigned int   cCode[33];        //array of control codes
unsigned long	numCompleted;     //number of scans completed if scan was aborted
DWORD          calTime;			   //time in milliseconds for calibration
}	T_M141;

// function prototypes
void SetWindowToDesktop(void);
void DispCodes(T_M141  *M141);
void WaitSettle(T_M141  *M141);
void PrintCommandMenu(T_M141  *M141);
void    funcOutp(UINT outPort, int outVal);
void SaveData(T_M141  *M141, unsigned long  *dataBuffer);
void DoCommand(T_M141  *M141, char ch, double *max, double *min);
void StandardDev(double *stDv, double *rmsBits, double *sdTot, double *runningAvg,
			  double *sd, double *voltage, int *sdCount, int biPolar, int sdGrp);

short ADInit(ULONG adc);
short  funcInp(UINT iVal);
short	GetADC(T_M141  *M141);
short Calibrate(T_M141 *M141);
short ReadConfig(T_M141  *M141);
short WriteConfig(T_M141  *M141);
short CheckADC(unsigned int adc141);
short SetupScan(T_M141  *M141, double *maxHertzRate);
short Call141(T_M141 *M141, unsigned long *clientDataBuffer);

unsigned long GetCount(T_M141 *M141);
unsigned int GetAvg(unsigned int average);

double GetConv(T_M141 *M141);

#endif




